#pragma once

#include "CoreMinimal.h"
#include "EQuestOperationType.h"
#include "ChallengeQuestParameter.h"
#include "QuestEventItem.generated.h"

USTRUCT(BlueprintType)
struct FQuestEventItem
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString QuestEventId;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	int32 Repetition;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	EQuestOperationType Operation;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TArray<FChallengeQuestParameter> Parameters;

public:
	DEADBYDAYLIGHT_API FQuestEventItem();
};

FORCEINLINE uint32 GetTypeHash(const FQuestEventItem) { return 0; }
